///////
//
// Student: Russell Lowke
//     T.F: Francis Crick
// Unit Three, Easy Supplementary - question 14 [worth 2pts],  7/7/2002
//
//  Real estate agent advertisements frequently contain words from
//  which all vowels - except for an initial one - have been removed.


#include <iostream>
#include <iomanip>

void main()
{
	char c;
	bool firstVowel = false;
	
	cin.unsetf(ios::skipws);		// unset skip whitespace
	
	cout << "Real estate ad: ";
	
	do {
	
		cin >> c;					// get input from keyboard
		
		if (c == ' ')
			firstVowel = false;		// starting new word
				
		switch (c)
		{
			case 'A': case 'E': case 'I': case 'O': case 'U':
			case 'a': case 'e': case 'i': case 'o': case 'u':
				if (! firstVowel)
					firstVowel = true;
				else
					break;
			default:
				cout << c;			// print letter
		}
	    	
	} while ( c != '\n' );			// loop until newline
}
